Bug 144727 - sane-backend.i386 rpm needs libieee1284 prerequisite, needs libieee1284-devel build prerequisite
sane-backend.i386 rpm needs libieee1284 prerequisite, needs libieee1284-devel...
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: sane-backends (Show other bugs)
3.0
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-10 18:20 EST by Wouter Liefting
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-11 04:38:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Wouter Liefting 2005-01-10 18:20:22 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3)
Gecko/20040924

Description of problem:
The ./configure script of sane-backends checks for the availability of
the ieee1284 development libraries (ieee1284-devel.rpm) and, depending
on the outcome of this, decides on the inclusion of various drivers
for parallel port scanners in the build process. So, in short, if the
build system *does have* libieee1284-devel.rpm installed,
sane-backends.rpm will contain the parallel port scanner drivers, and
if the build system *does not have* libieee1284-devel installed, it
will not include these drivers.

Obviously the accidental availability of a certain library on the
build system should not be a major factor in determining the outcome
of the rpm build process, so somehow this should be made explicit.

As far as I am concerned, libieee-1284-devel should be a prerequisite
for the build process of sane-backends.rpm. And, logically, this leads
to a prerequisite of libieee1284.rpm for the installation of
sane-backends.

Version-Release number of selected component (if applicable):
sane-backends-1.0.9-5.7

How reproducible:
Always

Steps to Reproduce:
1. Install sane-backends.i386.rpm. Check availability of file (for
instance) /usr/lib/sane/libsane_canon_pp.so.1. Is not there.
2. Uninstall sane-backends.
3. Install libieee1284.rpm and libieee1284-devel.rpm
4. Install sane-backends.src.rpm
5. rpmbuild -bb /usr/src/redhat/SPECS/sane-backends.spec
6. Install /usr/src/redhat/RPMS/i386/sane-backends.i386.rpm
7. Check for availability of /usr/lib/sane/libsane_canon_pp.so.1. Is
now there.
    

Actual Results:  See above.

Expected Results:  See above.

Additional info:

See above.
Comment 1 Tim Waugh 2005-01-11 04:38:20 EST
Thanks for the report.  Fedora Core 3 already has this, and future versions of
Red Hat Enterprise Linux also will.

(Red Hat Enterprise Linux 3 does not ship with libieee1284.)

Note You need to log in before you can comment on or make changes to this bug.